apiVersion: autoscaling/v2
kind: HorizontalPodAutoscaler
metadata:
  name: tim-ai-atend-agnt-integ-tia-ord
  namespace: agnt-ai-atendimento
spec:
  scaleTargetRef:
    apiVersion: apps/v1
    kind: Deployment
    name: tim-ai-atend-agnt-integ-tia-ord
  minReplicas: 1
  maxReplicas: 3
  behavior:
    scaleUp:
      stabilizationWindowSeconds: 0
      policies:
        - type: Percent
          value: 100
          periodSeconds: 60
    scaleDown:
      stabilizationWindowSeconds: 300
      policies:
        - type: Percent
          value: 25
          periodSeconds: 60
  metrics:
    - type: Resource
      resource:
        name: cpu
        target:
          type: Utilization
          averageUtilization: 65
